Mengenai konten keamanan Pembaruan Keamanan 2018-001 Swift 4.1.1 untuk Ubuntu 14.04

Dokumen ini menjelaskan konten keamanan Pembaruan Keamanan 2018-001 Swift 4.1.1 untuk Ubuntu 14.04.

Mengenai pembaruan keamanan Apple

Demi melindungi pelanggan, Apple tidak mengungkapkan, membahas, atau mengonfirmasi masalah keamanan sebelum investigasi dilakukan dan perbaikan program atau rilis tersedia. Rilis terbaru tercantum pada halaman pembaruan keamanan Apple.

Untuk informasi lebih lanjut mengenai keamanan, buka halaman Keamanan Produk Apple. Anda dapat mengenkripsi komunikasi dengan Apple menggunakan Kunci PGP Keamanan Produk Apple.

Dokumen keamanan Apple memberikan referensi mengenai kerentanan menurut CVE-ID jika memungkinkan.

Pembaruan Keamanan 2018-001 Swift 4.1.1 untuk Ubuntu 14.04

Dirilis pada 4 Mei 2018

Swift untuk Ubuntu

Tersedia untuk: Ubuntu 14.04

Tidak terpengaruh: Ubuntu 16.04 dan 16.10

Dampak: Sebuah proses dapat memperoleh hak istimewa admin dan menjalankan kode arbitrer

Deskripsi: Masalah muncul di versi tertentu Swift di Ubuntu 14.04 tempat perpustakaan dimuat dengan izin tulis dan eksekusi. Masalah ini telah diatasi dengan izin yang lebih baik.

CVE-2018-4220: Apple

Informasi mengenai produk yang tidak diproduksi Apple, atau situs web independen yang tidak dikendalikan atau diuji Apple, diberikan tanpa rekomendasi atau persetujuan. Apple tidak bertanggung jawab atas pemilihan, kinerja, atau penggunaan situs web atau produk pihak ketiga. Apple tidak memberikan pernyataan terkait keakuratan atau keandalan situs web pihak ketiga. Hubungi vendor untuk informasi tambahan.

Tanggal Dipublikasikan: